.marquee-logo {
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    overflow: hidden;
    width: 100%;
}

.marquee-logo-rtl,
.marquee-logo-ltr {
    display: none;
}

.marquee-logo__container {
    display: flex;
    animation: ticker 35s linear infinite;
}

.marquee-logo__container:hover {
    animation-play-state: paused;
}

.marquee-logo__slide {
    flex: 0 0 calc(100% / 8); /* Assure une largeur fixe pour 8 images */
    margin-right: 0;
    text-align: center;
    align-self: center;
    padding-left: 10px;
    padding-right: 10px;
}

@keyframes ticker {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-100%);
    }
}

@keyframes ticker-rtl {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(0%);
    }
}

@media (max-width: 1024px) {

    .marquee-logo {
        display: none;
        width: calc(100vw - 165px);
    }

    .marquee-logo-rtl,
    .marquee-logo-ltr {
        display: flex;
    }

    .marquee-logo-ltr .marquee-logo__container {
        animation: ticker-rtl 20s linear infinite;
    }
    .marquee-logo-ltr .marquee-logo__container:hover {
        animation-play-state: paused;
    }

    .marquee-logo__slide {
        width: 100px;
    }
}

@media (max-width: 800px) {
    .marquee-logo {
        width: 100vw;
    }
}
